Architecture dodol Theme

Architecture dodol Theme


"Architecture 101" class where I met my first love..=_=
If the love with my love-at-first-sight is hopeless, then I might just study hard for higher GPA ..ㅠ.ㅠ
Download Architecture theme and let go of the tearful memories about our lost love, but be all stylish with tidily designed icons!!
Icons drawn on drafting paper with neat and sharp design will definitely make you to look intellectual#_#


***Customer Support***

- Google+ Community: http://goo.gl/amXEzP
- Facebook: http://www.facebook.com/dodolhome
- Instagram: http://instagram.com/dodollauncher

***Precaution***

- Is available only in Android ver. 4.0.3 and above (ICS, Jellybean)
- Some functions cannot be applied in certain devices.
Add to list
Free
81
4.1
User ratings
369
Installs
50,000+
Concerns
0
File size
1360 kb
Screenshots
Screenshot of Architecture dodol Theme Screenshot of Architecture dodol Theme Screenshot of Architecture dodol Theme Screenshot of Architecture dodol Theme
About Architecture dodol Theme
"Architecture 101" class where I met my first love..=_=
If the love with my love-at-first-sight is hopeless, then I might just study hard for higher GPA ..ㅠ.ㅠ
Download Architecture theme and let go of the tearful memories about our lost love, but be all stylish with tidily designed icons!!
Icons drawn on drafting paper with neat and sharp design will definitely make you to look intellectual#_#


***Customer Support***

- Google+ Community: http://goo.gl/amXEzP
- Facebook: http://www.facebook.com/dodolhome
- Instagram: http://instagram.com/dodollauncher

***Precaution***

- Is available only in Android ver. 4.0.3 and above (ICS, Jellybean)
- Some functions cannot be applied in certain devices.

User reviews of Architecture dodol Theme
Write the first review for this app!
Android Market Comments
A Google User
Nov 15, 2014
Sweet.
A Google User
Jul 13, 2014
Don't waste your time Opens a blank page with no tools
A Google User
Jul 13, 2014
It says incompatible Why can't I use it in my moto e android 4.4.4 version? It's says it's incompatible. Please update and inform.
A Google User
Feb 28, 2014
Must have for every Architect.. .